## hyphen-kn 0.5.5

=== Makefile ===
# Hyphenation Makefile
# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
# Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation;
#  version 3 or later version of the License.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

DESTDIR = 
hyphdir = /usr/share/hyphen/
dictdir = /usr/share/myspell/dicts/
ooo_info_dir = /usr/share/myspell/infos/ooo/
docdir = /usr/share/doc/openoffice.org-hyphenation-kn/


dict_files = hyph_kn_IN.dic
doc_files = README ChangeLog
extra_files = Makefile
ooo_info_file = openoffice.org-hyphenation-kn
version = 0.5.5

distdir=hyphen-kn_${version}

all: ${doc_files} ${dict_files}

install: all
	mkdir -p ${DESTDIR}${ooo_info_dir}
	cp ${ooo_info_file}  ${DESTDIR}${ooo_info_dir}
	mkdir -p ${DESTDIR}${docdir}
	cp ${doc_files} ${DESTDIR}${docdir}
	mkdir -p ${DESTDIR}${hyphdir}
	cp ${dict_files} ${DESTDIR}${hyphdir}
	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
	mkdir -p ${DESTDIR}${dictdir}
	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
	update-openoffice-dicts 
	
	
uninstall:
	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}
	-cd ${DESTDIR}${docdir}/ && rm ${doc_files}
	-cd ${DESTDIR}${ooo_info_dir}/ && rm ${ooo_info_file}
	-cd ${DESTDIR}${hyphdir}/ && rm ${dict_files}
	
clean:
	-rm -rf ${distdir}.tar.bz2 ${distdir}	
	
dist:
	-rm -rf ${distdir}.tar.bz2 ${distdir}
	mkdir ${distdir}
	cp -p ${dict_files}  ${doc_files} ${ooo_info_file}  ${extra_files} ${distdir}/
	tar cf ${distdir}.tar ${distdir}/
	bzip2 -9 ${distdir}.tar
	rm -rf ${distdir}/

## hyphen-kn 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Hyphenation Makefile
-# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
+# Copyright (C) 2009-2011 Shravan Aras <123.shravan@gmail.com>
 # Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
 #
 #  This library is free software; you can redistribute it and/or
@@ -20,16 +20,16 @@
 hyphdir = /usr/share/hyphen/
 dictdir = /usr/share/myspell/dicts/
 ooo_info_dir = /usr/share/myspell/infos/ooo/
-docdir = /usr/share/doc/openoffice.org-hyphenation-kn/
+docdir = /usr/share/doc/hyphen-kn/
 
 
 dict_files = hyph_kn_IN.dic
 doc_files = README ChangeLog
 extra_files = Makefile
 ooo_info_file = openoffice.org-hyphenation-kn
-version = 0.5.5
+version = 0.6.0
 
-distdir=hyphen-kn_${version}
+distdir=hyphen-kn-${version}
 
 all: ${doc_files} ${dict_files}
 
@@ -42,8 +42,8 @@
 	cp ${dict_files} ${DESTDIR}${hyphdir}
 	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
 	mkdir -p ${DESTDIR}${dictdir}
-	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
-	update-openoffice-dicts 
+	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
+	/usr/sbin/update-openoffice-dicts 
 	
 	
 uninstall:

=== debian/changelog ===
hyphen-kn (0.6.0-2) unstable; urgency=low

  [Vasudev Kamath]
  * debian/control:
    + Fixed a typo: s/Kanada/Kannada. Thanks to Santhosh Thottingal.
      (Closes: #623994)

  [Kartik Mistry]
  * debian/control:
    + Updated Standards-Version to 3.9.2

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Mon, 25 Apr 2011 20:33:41 +0530

hyphen-kn (0.6.0-1) unstable; urgency=low

  * Initial release. (Closes: #542242)
  * Set Debian-IN as mainatiner and Shravan Aras as uploader.
  * Added VCS-* fields.

 -- Shravan Aras <123.shravan@gmail.com>  Fri, 22 Apr 2011 10:33:22 +0530

=== debian/control ===
Source: hyphen-kn
Section: text
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Shravan Aras <123.shravan@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               dictionaries-common (>= 0.10),
               openoffice.org-updatedicts
Standards-Version: 3.9.2
Homepage: http://wiki.smc.org.in/Hyphenation
Vcs-Svn: svn://svn.debian.org/debian-in/hyphen-kn
Vcs-Browser: http://svn.debian.org/wsvn/debian-in/hyphen-kn/trunk

Package: hyphen-kn
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dictionaries-common (>= 0.10),
         openoffice.org-updatedicts
Description: Kannada hyphenation patterns for OpenOffice.org/LibreOffice
 Hyphenation patterns hyphenate words at line boundary does making it more
 natural to read.
 .
 This package contains hyphention patterns for the Indian language Kannada
 They can be installed for OpenOffice or for LibreOffice.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm debian/hyphen-kn/usr/share/doc/hyphen-kn/ChangeLog

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/smc/hyphenation/patterns-(.+)/hyphen-kn_(.+)\.tar\.bz2 debian uupdate

## hyphen-kn 0.7.0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 doc_files = README ChangeLog
 extra_files = Makefile
 ooo_info_file = openoffice.org-hyphenation-kn
-version = 0.6.0
+version = 0.7.0
 
 distdir=hyphen-kn-${version}
 
@@ -43,8 +43,6 @@
 	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
 	mkdir -p ${DESTDIR}${dictdir}
 	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
-	/usr/sbin/update-openoffice-dicts 
-	
 	
 uninstall:
 	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}

=== debian/changelog ===
hyphen-kn (0.7.0-2) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Renamed /usr/share/myspell/infos/ooo/openoffice.org-hyphenation-kn to
      /usr/share/myspell/infos/ooo/hyphen-kn
  * debian/copyright:
    + Updated to copyright-format 1.0 (Added missing Format: header)
  * debian/control:
    + Updated Standards-Version to 3.9.3

 -- Kartik Mistry <kartik@debian.org>  Wed, 14 Mar 2012 11:57:01 +0530

hyphen-kn (0.7.0-1) unstable; urgency=low

  * New upstream release:
    + Fix FTBFS (Closes: #652186)
  * debian/control:
    + Updated Vcs-* fields.
    + Added Recommends: libreoffice-writer | openoffice.org-writer field.
    + Do not Build-Depends/Depends on openoffice.org-updatedicts.

 -- Shravan Aras <123.shravan@gmail.com>  Sat, 17 Dec 2011 10:46:18 +0530

hyphen-kn (0.6.0-3) unstable; urgency=low

  [Vasudev Kamath]
  * debian/watch:
    + Fixed the upstream download URL regexp.

  [Kartik Mistry]
  * debian/control:
    + Arch: all. We don't have ELF binaries in package.

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Mon, 22 Aug 2011 14:10:14 +0530

=== debian/control ===
Source: hyphen-kn
Section: text
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Shravan Aras <123.shravan@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               dictionaries-common (>= 0.10)
Standards-Version: 3.9.3
Homepage: http://wiki.smc.org.in/Hyphenation
Vcs-Git: git://git.debian.org/debian-in/hyphen-kn.git
Vcs-Browser: http://git.debian.org/?p=debian-in/hyphen-kn.git;a=summary

Package: hyphen-kn
Architecture: all
Depends: ${misc:Depends},
         dictionaries-common (>= 0.10)
Recommends: libreoffice-writer | openoffice.org-writer
Description: Kannada hyphenation patterns for OpenOffice.org/LibreOffice
 Hyphenation patterns hyphenate words at line boundary does making it more
 natural to read.
 .
 This package contains hyphention patterns for the Indian language Kannada
 They can be installed for OpenOffice or for LibreOffice.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm debian/hyphen-kn/usr/share/doc/hyphen-kn/ChangeLog
	mv debian/hyphen-kn/usr/share/myspell/infos/ooo/openoffice.org-hyphenation-kn \
	   debian/hyphen-kn/usr/share/myspell/infos/ooo/hyphen-kn

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/smc/hyphenation/patterns/hyphen-kn-(.*)\.tar\.bz2 debian uupdate
